Media
Budgeted image creation.
Updated on January 1, 1970
Privacy and analytics
We use necessary technical cookies and, only with your consent, analytics and marketing pixels to improve the website and measure campaigns.
Budgeted image creation.
Updated on January 1, 1970
Generates 1 to 4 images using the brand colors, approved logo and voice. Budget is reserved first and the call fails with a clear reason if it does not fit; results land in the Library as proposed files until approved. Long-running: returns a task to follow.
Consumes the brand AI budget.
| Field | Value |
|---|---|
| Kind | Write |
| HTTP method | POST /api/v1/media.image.generate |
| MCP tool | media_image_generate |
| Scope | media.write |
| Minimum role | Member |
| Human confirmation | No |
| Doors | Nödo, Voice, MCP, API |
| Status | Planned |
| Widget | image_gallery |
Input
{
brief: string // ≤ 2000
format?: "square" | "portrait" | "landscape" | "story" // default "square"
count?: integer // 1–4 · default 2
useLogo?: boolean // default false
referenceAssetIds?: string[] // ≤ 3 items · default []
}Output
{
taskId: string
status: "working" | "completed" | "failed"
assets: Array<{
assetId: string // uuid
url: string // uri
}> // default []
reservedUsd: number
}